Package docking.options.editor

# Class FileChooserEditor

java.lang.Object
java.beans.PropertyEditorSupport
docking.options.editor.FileChooserEditor

All Implemented Interfaces:
  `PropertyEditor`

Direct Known Subclasses:
  `StringBasedFileEditor`

public class FileChooserEditor extends PropertyEditorSupport
Bean editor to show a text field and a browse button to bring up a File Chooser dialog. This editor is created as a result of get/setFilename() on Options.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileChooserEditor()`
  `FileChooserEditor(GhidraFileFilter fileFilter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAsText()`
  `Component`
  `getCustomEditor()`
  `Object`
  `getValue()`
  `void`
  `setAsText(String text)`
  `void`
  `setValue(Object value)`
  `boolean`
  `supportsCustomEditor()`

  ### Methods inherited from class java.beans.PropertyEditorSupport

  `addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getSource, getTags, isPaintable, paintValue, removePropertyChangeListener, setSource`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileChooserEditor

    public FileChooserEditor()

  - ### FileChooserEditor

    public FileChooserEditor(GhidraFileFilter fileFilter)

- ## Method Details

  - ### getAsText

    public String getAsText()
    Specified by:
      `getAsText` in interface `PropertyEditor`
    Overrides:
      `getAsText` in class `PropertyEditorSupport`

  - ### getValue

    public Object getValue()
    Specified by:
      `getValue` in interface `PropertyEditor`
    Overrides:
      `getValue` in class `PropertyEditorSupport`

  - ### setAsText

    public void setAsText(String text) throws IllegalArgumentException
    Specified by:
      `setAsText` in interface `PropertyEditor`
    Overrides:
      `setAsText` in class `PropertyEditorSupport`
    Throws:
      `IllegalArgumentException`

  - ### setValue

    public void setValue(Object value)
    Specified by:
      `setValue` in interface `PropertyEditor`
    Overrides:
      `setValue` in class `PropertyEditorSupport`

  - ### supportsCustomEditor

    public boolean supportsCustomEditor()
    Specified by:
      `supportsCustomEditor` in interface `PropertyEditor`
    Overrides:
      `supportsCustomEditor` in class `PropertyEditorSupport`

  - ### getCustomEditor

    public Component getCustomEditor()
    Specified by:
      `getCustomEditor` in interface `PropertyEditor`
    Overrides:
      `getCustomEditor` in class `PropertyEditorSupport`